Skip to main content
`Ctrl`+`K`

# TSTrajectorySetMonitor

Monitor the schedules generated by the `TSTrajectory` checkpointing controller

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetMonitor(TSTrajectory tj, PetscBool flg)

Collective

## Input Parameters

- tj - the `TSTrajectory` context

- flg - `PETSC_TRUE` to active a monitor, `PETSC_FALSE` to disable

## Options Database Key

- -ts_trajectory_monitor - print `TSTrajectory` information

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSTrajectoryCreate()`, `TSTrajectoryDestroy()`, `TSTrajectorySetUp()`

## Level

developer

## Location

src/ts/trajectory/interface/traj.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages